Bug 840636

Summary: Review Request: heat-jeos - create JEOS images for Heat
Product: [Fedora] Fedora Reporter: Jeff Peeler <jpeeler>
Component: Package ReviewAssignee: Steven Dake <sdake>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dwmw2, notting, package-review, sdake
Target Milestone: ---Flags: sdake: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-07 11:57:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 956408    

Description Jeff Peeler 2012-07-16 14:55:06 EDT
Spec URL: https://raw.github.com/heat-api/heat-rpms/master/heat_jeos.spec
SRPM URL: http://people.redhat.com/jpeeler/heat_jeos-1-1.src.rpm
Description: Creates JEOS images for Heat, creates TDL files for use with oz, creates image files for use with libvirt/glance.
Fedora Account System Username: jpeeler
Comment 1 Jeff Peeler 2012-07-16 15:12:52 EDT
Adding FE-NEEDSPONSOR, although I'm sure Steve will sponsor this package as well. (See https://bugzilla.redhat.com/show_bug.cgi?id=840619)
Comment 2 Steven Dake 2012-07-18 22:48:25 EDT
Jeff,

need a python2-devel BR
the heat_jeos dir appears unowned

I'll provide a more complete review in the morning.
Comment 3 Jeff Peeler 2012-07-19 16:10:16 EDT
I added python2-devel. I think the directory is owned since I did:

%{python_sitelib}/heat_jeos*, which I thought would cover both the directory and its contents.
Comment 5 Jeff Peeler 2012-07-20 14:06:50 EDT
with version bump this time.

Spec URL: https://raw.github.com/heat-api/heat-rpms/master/heat_jeos.spec
SRPM URL: http://people.redhat.com/jpeeler/heat_jeos-1-2.src.rpm
Comment 6 Steven Dake 2012-07-24 15:51:02 EDT
Removing FE-NEEDSPONSOR - Jeff has been sponsored in a different review.
Comment 7 Steven Dake 2012-07-26 17:39:11 EDT
Can you remove heat as a depends for heat_jeos.  The idea behind making a separate tool was so that heat didn't need to be installed to generate jeos images.  Also, it would make the fedora review easier, since heat is not in mock for fedora-review tool. :)

Regards
-steve
Comment 8 Jeff Peeler 2012-07-26 17:59:33 EDT
Removed heat from requires.

Spec URL: https://raw.github.com/heat-api/heat-rpms/master/heat_jeos.spec
SRPM URL: http://people.redhat.com/jpeeler/heat_jeos-1-3.src.rpm
Comment 9 Steven Dake 2012-07-26 18:25:11 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.

Please include LICENSE in the %doc section

[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* Apache (v2.0)" For detailed output of licensecheck see
     file: /home/sdake/heat-jeos/840636-heat_jeos/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary.

Does not require yum, in any regard, yum is in the list of expected by
default packages.

[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed

     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.

Please include LICENSE in the %doc section
[!]: MUST Requires correct, justified where necessary.

Does not require yum, in any regard, yum is in the list of expected by
default packages.




Rpmlint
-------
Checking: heat_jeos-1-3.noarch.rpm
          heat_jeos-1-3.src.rpm
heat_jeos.noarch: W: spelling-error %description -l en_US libvirt -> liberty
heat_jeos.src: W: spelling-error %description -l en_US libvirt -> liberty
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
heat_jeos-1-3.noarch.rpm (rpmlib, GLIBC filtered):

    /usr/bin/env
    /usr/bin/python
    oz
    python(abi) = 2.7
    python-glance
    python-lxml
    python-prettytable
    python-psutil
    yum

Provides
--------
heat_jeos-1-3.noarch.rpm:

    heat_jeos = 1-3

MD5-sum check
-------------
https://github.com/downloads/heat-api/heat-jeos/heat_jeos-1.tar.gz :
  MD5SUM this package     : 5467d6ad37054636876948649397c042
  MD5SUM upstream package : 5467d6ad37054636876948649397c042


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 840636
External plugins:
Comment 10 Steven Dake 2012-07-26 18:26:04 EDT
Jeff,

This package has 3 blocking issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.

Please include LICENSE in the %doc section
[!]: MUST Requires correct, justified where necessary.

Does not require yum, in any regard, yum is in the list of expected by
default packages.
Comment 11 Jeff Peeler 2012-07-27 00:33:42 EDT
Removed 3 blocking issues above.

Spec URL: https://raw.github.com/heat-api/heat-rpms/master/heat_jeos.spec
SRPM URL: http://people.redhat.com/jpeeler/heat_jeos-1-4.src.rpm
Comment 12 Steven Dake 2012-07-30 13:49:11 EDT
PASS Must: Python eggs must be built from source. They cannot simply drop an egg from upstream into the proper directory. (See prebuilt binaries Guidelines for details)
PASS Must: Python eggs must not download any dependencies during the build process.
N/A Must: When building a compat package, it must install using easy_install -m so it won't conflict with the main package.
N/A Must: When building multiple versions (for a compat package) one of the packages must contain a default version that is usable via "import MODULE" with no prior setup.
N/A Should: A package which is used by another package via an egg interface should provide egg info.
Comment 13 Steven Dake 2012-07-30 13:50:06 EDT
Package passes all review items.

PACKAGE APPROVED FOR FEDORA.
Comment 14 Steven Dake 2012-07-30 13:50:39 EDT
Jeff,

Please submit a SCM request.  Nice work.
Comment 15 Jeff Peeler 2012-07-30 14:58:45 EDT
New Package SCM Request
=======================
Package Name: heat-jeos
Short Description: a tool to create JEOS images for Heat
Owners: asalkeld imain jpeeler sdake tsedovic zbitter
Branches: devel
InitialCC:
Comment 16 Jon Ciesla 2012-07-30 15:03:21 EDT
Package name in summary and in SCM request don't match, and not all FAS
accounts listed are members of Pacakger group, please correct and re-set cvs
flag.
Comment 17 Steven Dake 2012-07-30 15:41:49 EDT
Given Jon's comments, I reread the package naming guidelines:
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Separators

Those indicate that an underscore is not an approved character for a subpackage.  Revoking approved status until new SRPM/SPEC is submitted.
Comment 18 Jeff Peeler 2012-07-30 19:07:34 EDT
Renamed heat_jeos to heat-jeos.

Spec URL: https://raw.github.com/heat-api/heat-rpms/master/heat-jeos.spec
SRPM URL: http://people.redhat.com/jpeeler/heat-jeos-1-5.src.rpm
Comment 19 Steven Dake 2012-07-30 22:07:27 EDT
PACKAGE APPROVED FOR FEDORA.

Please submit a valid SCM request.
Comment 20 Jeff Peeler 2012-07-30 23:13:50 EDT
New Package SCM Request
=======================
Package Name: heat-jeos
Short Description: a tool to create JEOS images for Heat
Owners: asalkeld imain jpeeler sdake zaneb
Branches: devel
InitialCC:
Comment 21 Jon Ciesla 2012-07-31 05:52:59 EDT
Git done (by process-git-requests).
Comment 22 Jeff Peeler 2013-03-26 17:56:23 EDT
Package Change Request
======================
Package Name: heat-jeos
New Branches: el6
Owners: sdake, asalkeld, jpeeler, zaneb
InitialCC:
Comment 23 Jon Ciesla 2013-03-27 08:36:47 EDT
Git done (by process-git-requests).